Subject: RE: [manet] Interlayer Interactions

From: "Liaw, Yong Shyang - LIAYS001" <[email-masked]>
Date: Thu, 3 Apr 2003 09:16:55 +0930

Hi,

I agree that cross-layer interaction needs more study than already done. The
death of L2-trigger at IETF does not mean it is end of this topic -- in fact,
it is being discussed in some other WGs. Cross-layer interaction will likely to
prove useful in MANET, where link layer information may be used for selecting
routes. I also think that cross-layer interaction between protocols needs more
study as well, as there are few studies done.

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Thursday, 3 April 2003 11:57
> To: 'A. Bruce McDonald'
> Cc: [email-masked]
> Subject: RE: [manet] Interlayer Interactions
> 
> 
> Thanks Bruce for starting the thread again.
> 
> I fully agree with you that we need to have forward thinking 
> about this.
> 
> 
> So, let's start discussion on this once again and if the 
> outcome of our
> discussion will prove that cross-layer interaction is not of 
> great use,
> we will drop this idea...
> 
> What are the opinions of other members of manet community? I am sure
> many people won't like this idea but there are some who will like it..
> 
> Regards
> Ankur
> 
> 
> 
> -----Original Message-----
> From: A. Bruce McDonald [mailto:[email-masked]] 
> Sent: Tuesday, April 01, 2003 2:08 PM
> To: [email-masked]
> Cc: [email-masked]
> Subject: Re: [manet] Interlayer Interactions
> 
> 
> Hi All;
> 
> IMHO the concept of interlayer interaction is not simply a 
> matter of 'ad
> hoc' communications across a control plane. The idea is much 
> more to the
> core of understanding the issues involved with the design of ad hoc
> networks. The example I like to give involves the inherent 'coupling'
> between the MAC-layer and routing. This is fundamental property in the
> case of a random access MAC---the problem is that channel 
> contention at
> the MAC-layer spans multiuple hops; moreover, the *solutions* to
> problems
> such as the hidden-terminal actually *cause* a phenomena we 
> refer to as
> 'path-coupling'. In effect, apparently disjoint paths can experience
> 'induced-load'; in some situations this is necesssary to prevent
> collisions, however, there are many scenarios when the induced load is
> an
> artifact that prevents a node from transmiting even if the 
> transmission
> would not cause a collission.
> 
> This is a concrete example of a more
> fundamental issue. That is, the question as to whether or not a graph
> model (time varying, random, or whatever) is an appropriate 
> model for an
> ad hoc network. Can anyone justify it?  Show me links and 
> explain to me
> how a topological routing algorithm would use knowledge of these link
> even
> if it were possible to gather complete accurate global topology
> information?  The concept of a "link" and, hence, the graph 
> model itself
> is inhernetly flawed.  The question is what effect this has on the
> design
> of routing algorithms which are themselves based on a graph model?  Do
> they make sense?  Perhaps a better model exists, perhaps not.
> Understanding the nature of the cross-layer interaction could perhaps
> allow us approximate the ad hoc network using a graph. Just a thought.
> 
> The essence of my argument is that 'cross-layer interaction' 
> should not
> be
> just a buzz word for sharing information between arbitrary layers, or
> using layer-X information to control some aspect of layer-(X-2).
> Instead,
> it should be thought of in terms of the systematic study the how the
> characteristics, properties and algorithms we associate with layer X
> affect the performance of all other layers.  The outcome of 
> this line of
> thinking is to enhance our understanding of these complex 
> relationships
> so
> that we can then---either build new models and algorithms, or, add an
> inter-layer control/management plane.  It seems likely that 
> both will be
> required to some extent. However, carving a solid understanding first
> will
> lead to more effective and robust solutions in the future.
> 
> As a community
> we need to be forward thinking---I know there is a fly or die attitude
> in
> some corners that has difficulty with the snail pace. Just turn to the
> cell phone/PCS industry---the fundamental technical ideas are 30 years
> old. The reason for the success today is due to advances in DSP
> technology
> and chip density.
> 
> Best regards,
> 
> Bruce
> 
> --------------------------------------------------------
> A. Bruce McDonald	f:617.373.8970
> Assistant Prof.		v:617.373.3028
> ECE Dept., 417 Dana     [email-masked]
> 360 Huntington Ave.     www.ece.neu.edu/faculty/mcdonald
> Northeastern University
> Boston, MA 02115
> --------------------------------------------------------
> 
> _______________________________________________
> manet mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/manet
> 
> 
_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet